# Trade/Spot

## Get transaction details based on dealId

> Description: Query transaction record details based on dealId\
> \
> \
> version=0.0.1\
> bizType=report.admin.CatsTradeDealService.getTradeDealInfoByDealId

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Trade/Spot"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/global/report.admin.CatsTradeDealService.getTradeDealInfoByDealId":{"post":{"summary":"Get transaction details based on dealId","deprecated":false,"description":"Description: Query transaction record details based on dealId\n\n\nversion=0.0.1\nbizType=report.admin.CatsTradeDealService.getTradeDealInfoByDealId","tags":["Trade/Spot"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"group","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"dealId":{"type":"integer","format":"uint64"}},"required":["dealId"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultTradeDeal"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResultTradeDeal":{"type":"object","properties":{"bizCode":{"type":"string","title":"Module identifier code","description":"Module Identifier Code"},"code":{"type":"string","title":"Status return code","description":"Status Return Code"},"msg":{"type":"string","title":"Status description","description":"Status Description"},"tm":{"type":"string","title":"Processing time (milliseconds)","description":"Processing Duration (milliseconds)"},"trace":{"type":"string","title":"Tracking code","description":"Tracking Code"},"msgParams":{"type":"string","title":"Placeholder parameter string in return description, multiple parameters separated by commas","description":"Placeholder Parameter String in Return Description, separated by commas"},"data":{"$ref":"#/components/schemas/TradeDeal","description":"Data Body"}},"title":"","required":["bizCode","code","tm"]},"TradeDeal":{"type":"object","properties":{"accountDigits":{"description":"Account Decimal Places, Trading Amount, Decimal Places","type":"integer"},"accountId":{"description":"Deposit Account ID","type":"integer"},"bizType":{"description":"Business type","type":"integer"},"companyId":{"description":"Company ID","type":"integer"},"createTime":{"description":"Creation time","type":"integer"},"currentTradeAmount":{"description":"Transaction Amount","type":"integer"},"customerGroupId":{"description":"Customer group ID","type":"integer"},"customerId":{"description":"Customer ID","type":"integer"},"customerNo":{"description":"Customer Number","type":"string"},"digits":{"description":"Transaction Average Price Decimal Places","type":"integer"},"direction":{"description":"Buy/Sell Direction, 1 Buy 2 Sell","type":"integer"},"executeNum":{"description":"Transaction Quantity","type":"number"},"executePrice":{"description":"Transaction Average Price","type":"integer"},"executeTime":{"description":"Creation time","type":"integer"},"fee":{"description":"Commission Fee","type":"integer"},"feeDigits":{"description":"Commission Fee Decimal Places","type":"integer"},"orderInCurrency":{"description":"Transaction fee currency","type":"string"},"id":{"description":"Deal record id","type":"string"},"orderId":{"description":"Order record id","type":"integer"},"symbolId":{"description":"Product ID","type":"integer"},"symbolName":{"description":"Product name","type":"string"},"tradeType":{"description":"Game type","type":"integer"},"updateTime":{"description":"Update time","type":"integer"},"convertFee":{"description":"Value after converting transaction fee to USDT currency","type":"integer"},"convertFeeDigits":{"description":"Number of decimal places after converting transaction fee to USDT currency","type":"integer"},"convertExchangeRate":{"description":"Exchange rate used to convert transaction fee currency to USDT","type":"integer"},"positionId":{"description":"Position id, value when tradeTpe is 1 and 2","type":"integer"},"pnl":{"description":"Closing profit and loss, decimal places same as account decimal places, value when tradeTpe is 1 and 2, bizType is 2, 3, 4, 5, 6, 7, 8","type":"integer"},"source":{"type":"string","description":"H5: mobile web; PC_Web: pcweb; System: system; Android: Android native app; iOS: Apple native app; HOS: Hongmeng OS; PC_Win: pcwindows client; PC_Mac: pcmac client; default is the same as login source. (The enumeration is for reference only)"},"thirdPartyOrder":{"type":"string"}},"required":["customerGroupId","customerId","customerNo","digits","direction","companyId"]}}}}
```

## Get transaction details based on orderId

> Description: Get transaction details based on orderId\
> \
> \
> version=0.0.1\
> bizType=report.admin.CatsTradeDealService.getTradeDealInfoByOrderId

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Trade/Spot"}],"servers":[{"url":"https://pre-api-test.cmfbl.com/openapi-b","description":"PRE环境-公司439"}],"security":[],"paths":{"/global/report.admin.CatsTradeDealService.getTradeDealInfoByOrderId":{"post":{"summary":"Get transaction details based on orderId","deprecated":false,"description":"Description: Get transaction details based on orderId\n\n\nversion=0.0.1\nbizType=report.admin.CatsTradeDealService.getTradeDealInfoByOrderId","tags":["Trade/Spot"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"group","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"orderId":{"type":"integer","format":"uint64","description":"Order ID"},"tradeType":{"type":"integer","format":"uint64","description":"Game type"}},"required":["orderId","tradeType"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultTradeDealList"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResultTradeDealList":{"type":"object","properties":{"bizCode":{"type":"string","title":"Module identifier code","description":"Module Identifier Code"},"code":{"type":"string","title":"Status return code","description":"Status Return Code"},"msg":{"type":"string","title":"Status description","description":"Status Description"},"tm":{"type":"string","title":"Processing time (milliseconds)","description":"Processing Duration (milliseconds)"},"trace":{"type":"string","title":"Tracking code","description":"Tracking Code"},"msgParams":{"type":"string","title":"Placeholder parameter string in return description, multiple parameters separated by commas","description":"Placeholder Parameter String in Return Description, separated by commas"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TradeDeal"},"title":"Data body","description":"Data Body"}},"title":"","required":["bizCode","code","tm"]},"TradeDeal":{"type":"object","properties":{"accountDigits":{"description":"Account Decimal Places, Trading Amount, Decimal Places","type":"integer"},"accountId":{"description":"Deposit Account ID","type":"integer"},"bizType":{"description":"Business type","type":"integer"},"companyId":{"description":"Company ID","type":"integer"},"createTime":{"description":"Creation time","type":"integer"},"currentTradeAmount":{"description":"Transaction Amount","type":"integer"},"customerGroupId":{"description":"Customer group ID","type":"integer"},"customerId":{"description":"Customer ID","type":"integer"},"customerNo":{"description":"Customer Number","type":"string"},"digits":{"description":"Transaction Average Price Decimal Places","type":"integer"},"direction":{"description":"Buy/Sell Direction, 1 Buy 2 Sell","type":"integer"},"executeNum":{"description":"Transaction Quantity","type":"number"},"executePrice":{"description":"Transaction Average Price","type":"integer"},"executeTime":{"description":"Creation time","type":"integer"},"fee":{"description":"Commission Fee","type":"integer"},"feeDigits":{"description":"Commission Fee Decimal Places","type":"integer"},"orderInCurrency":{"description":"Transaction fee currency","type":"string"},"id":{"description":"Deal record id","type":"string"},"orderId":{"description":"Order record id","type":"integer"},"symbolId":{"description":"Product ID","type":"integer"},"symbolName":{"description":"Product name","type":"string"},"tradeType":{"description":"Game type","type":"integer"},"updateTime":{"description":"Update time","type":"integer"},"convertFee":{"description":"Value after converting transaction fee to USDT currency","type":"integer"},"convertFeeDigits":{"description":"Number of decimal places after converting transaction fee to USDT currency","type":"integer"},"convertExchangeRate":{"description":"Exchange rate used to convert transaction fee currency to USDT","type":"integer"},"positionId":{"description":"Position id, value when tradeTpe is 1 and 2","type":"integer"},"pnl":{"description":"Closing profit and loss, decimal places same as account decimal places, value when tradeTpe is 1 and 2, bizType is 2, 3, 4, 5, 6, 7, 8","type":"integer"},"source":{"type":"string","description":"H5: mobile web; PC_Web: pcweb; System: system; Android: Android native app; iOS: Apple native app; HOS: Hongmeng OS; PC_Win: pcwindows client; PC_Mac: pcmac client; default is the same as login source. (The enumeration is for reference only)"},"thirdPartyOrder":{"type":"string"}},"required":["customerGroupId","customerId","customerNo","digits","direction","companyId"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/manager-api/more.../trade-spot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
